<%@ page contentType="text/html;charset=GBK" %>

<%
/**
 *	$RCSfile: removeGroup.jsp,v $
 *	$Revision: 1.1.1.1 $
 *	$Date: 2002/09/09 13:50:17 $
 */
%>

<%@ page import="java.util.*,
                 com.jivesoftware.forum.*,
                 com.jivesoftware.forum.util.*"%>

<%@ include file="global.jsp" %>

<%  // get parameters
	long groupID = ParamUtils.getLongParameter(request,"group",-1L);
	boolean delete = ParamUtils.getBooleanParameter(request,"delete");
    String cancelButton = ParamUtils.getParameter(request,"cancelButton");

    // Cancel if requested
    if ("取消".equals(cancelButton)) {
        response.sendRedirect("groups.jsp");
        return;
    }

    // Get a user manager
	GroupManager groupManager = forumFactory.getGroupManager();

    // Load the requested user
    Group group = groupManager.getGroup(groupID);

    // Put the forum in the session (is needed by the sidebar)
    session.setAttribute("admin.sidebar.groups.currentGroupID", ""+groupID);

    // delete forum if requested
    if (delete) {
        groupManager.deleteGroup(group);
        // save a message in the session
        setOneTimeMessage(session,"admin.groups.message","用户组删除成功.");
        // done deleting, so redirect back to the user summary page
		response.sendRedirect("groups.jsp");
		return;
	}
%>

<%  // special onload command to load the sidebar
    onload = " onload=\"parent.frames['sidebar'].location.href='sidebar.jsp?sidebar=users';\"";
%>
<%@ include file="header.jsp" %>

<p>

<%  // Title of this page and breadcrumbs
    String title = "删除用户组";
    String[][] breadcrumbs = {
        {"主页面", "main.jsp"},
        {"用户组概览", "groups.jsp"},
        {title, "removeGroup.jsp?group="+groupID}
    };
%>
<%@ include file="title.jsp" %>

<p>

<form action="removeGroup.jsp" name="deleteForm">
<input type="hidden" name="delete" value="true">
<input type="hidden" name="group" value="<%= groupID %>">

<font size="-1"><b>删除用户组确认</b></font><p>
<ul>
    <font size="-1">
	警告：这将永久的删除该用户组。你确认要这样做？(这<b>不会</b>删除此用户组中的用户，仅仅删除用户组自身。)
    <p>
    </font>
	<input type="submit" value="删除用户组">
	&nbsp;
	<input type="submit" name="cancelButton" value="取消">
</ul>
</form>

<script language="JavaScript" type="text/javascript">
<!--
// activate the "cancel" button -- if the user accidentally hits enter or
// space on this page, the default action would be to cancel, not delete
// the user ;)
document.deleteForm.cancelButton.focus();
//-->
</script>


</body>
</html>
